Subject: Re: [PATCH RFC] isdn/capi: fix up CAPI subsystem workaround locking a bit

From: Tilman Schmidt <[email-masked]>
Date: Mon, 05 Oct 2009 13:42:29 +0200

On Sat, 2009-10-03 20:35:19 +0200, Michael Buesch wrote:

>> I remember that handle_minor_send() and/or handle_minor_recv() showed up
>> in the crash backtraces. So if you move them out of the critical
>> section, you can as well remove the lock completely.
> 
> here's my original mail:
> http://lkml.indiana.edu/hypermail/linux/kernel/0605.0/0455.html
> 
> Note the patch in that mail does _not_ fix the issue, as it turned out later.
> Then I did the workaround-lock patch, which _did_ fix it.

Thanks for the info. So do I understand correctly that after:

commit 6aa65472d18703064898eefb5eb58f7ecd0d8912
Author: Michael Buesch <[email-masked]>
Date:   Mon Jun 26 00:25:30 2006 -0700

    [PATCH] CAPI crash / race condition

you were actually still seeing LIST_POISON2 Oopses in
capiminor_del_ack(), but after:

commit 053b47ff249b9e0a634dae807f81465205e7c228
Author: Michael Buesch <[email-masked]>
Date:   Mon Feb 12 00:53:26 2007 -0800

    [PATCH] Workaround CAPI subsystem locking issue

they were gone? That's interesting. I'll try to wrap my mind around
this. capiminor_del_ack() isn't that big, after all.

It's unfortunate that these crashes only seem to occur with one specific
device (FritzCard DSL) which I don't have. Can anyone shed some light on
what that device is doing differently from other ISDN cards?

Thanks,
Tilman

- --
Tilman Schmidt                    E-Mail: [email-masked]
Bonn, Germany
Diese Nachricht besteht zu 100% aus wiederverwerteten Bits.
Ungeöffnet mindestens haltbar bis: (siehe Rückseite)
_______________________________________________
i4ldeveloper mailing list
[email-masked]
https://www.isdn4linux.de/mailman/listinfo/i4ldeveloper